Page MenuHomePhabricator

[M] Re-instate automatic redirect from search box ONLY for search strings beginning with namespace or interwiki prefix
Closed, ResolvedPublic

Description

Followup of T235263: Make it possible to bypass automatic redirection to exact matches in commons:

Before T235263 typing w: into the commons search box led directly to wikipedia. Now type "w:" to Commons search box, it will go to https://commons.wikimedia.org/w/index.php?search=w%3A&title=Special%3ASearch&go=Go&ns0=1&ns6=1&ns12=1&ns14=1&ns100=1&ns106=1 with no link to Wikipedia.

Before T235263 typing "COM:VP" into the commons search box led directly to the commons village pump. Now it goes to https://commons.wikimedia.org/w/index.php?search=COM%3AVP&title=Special%3ASearch&go=Go&ns0=1&ns6=1&ns12=1&ns14=1&ns100=1&ns106=1

This ticket is to re-instate the old behaviour for search strings beginning with namespace or interwiki prefix

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 9 2019, 8:12 PM

@Bugreporter you can change back to the old behaviour in your preferences tab

I don't think we will have many images with titles (or file names) including a namespace or interwiki prefix.

Ok. Are you suggesting that we keep the old behaviour for any search string beginning with a namespace or interwiki prefix?

Cparle renamed this task from Automatic redirect of title with namespace or interwiki prefix to Re-instate automatic redirect of title with namespace or interwiki prefix.Dec 10 2019, 2:27 PM
Cparle renamed this task from Re-instate automatic redirect of title with namespace or interwiki prefix to Re-instate automatic redirect from search box ONLY for search strings beginning with namespace or interwiki prefix.Dec 10 2019, 5:37 PM
Cparle updated the task description. (Show Details)
Cparle renamed this task from Re-instate automatic redirect from search box ONLY for search strings beginning with namespace or interwiki prefix to [M] Re-instate automatic redirect from search box ONLY for search strings beginning with namespace or interwiki prefix.Dec 10 2019, 5:39 PM
Cparle removed Cparle as the assignee of this task.Dec 10 2019, 6:03 PM
Keegan added a subscriber: Keegan.Dec 10 2019, 10:08 PM

I think this might make sense, I have no strong opinions.

Change 556660 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/core@master] Re-instate automatic redirect from search box in some cases

https://gerrit.wikimedia.org/r/556660

Change 556660 merged by jenkins-bot:
[mediawiki/core@master] Re-instate automatic redirect from search box in some cases

https://gerrit.wikimedia.org/r/556660

Ramsey-WMF closed this task as Resolved.Dec 18 2019, 6:48 PM
Ramsey-WMF claimed this task.

Tested on production and working as expected.